## gnss-share 0.7.1

=== debian/changelog ===
gnss-share (0.7.1-2) unstable; urgency=medium

  * Release to unstable

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 13 Jun 2023 16:22:59 +0200

gnss-share (0.7.1-1) experimental; urgency=medium

  [ Chris Talbot ]
  * New Upstream Version

 -- Chris Talbot <chris@talbothome.com>  Thu, 01 Jun 2023 12:09:34 -0400

gnss-share (0.7-1) experimental; urgency=medium

  [ Chris Talbot ]
  * New Upstream Version
  * d/control: add dependency

 -- Chris Talbot <chris@talbothome.com>  Wed, 31 May 2023 21:11:12 -0400

gnss-share (0.6-1) experimental; urgency=medium

  * Initial release (Closes: #1033266, #1018707)

 -- Chris Talbot <chris@talbothome.com>  Mon, 20 Mar 2023 16:16:11 -0400
