=== debian/changelog ===
gnss-share (0.7.2-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 16:01:47 +1000

gnss-share (0.7.2-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 10:04:34 +0100

gnss-share (0.7.2-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 09:44:34 +0530

gnss-share (0.7.2-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:23 +1200

gnss-share (0.7.2-1) unstable; urgency=medium

  * New upstream version

  [ Chris Talbot ]
  * d/systemd: remove geoclue systemd modification
  * d/install: enable gnss-share conf.d

 -- Chris Talbot <chris@talbothome.com>  Mon, 24 Jul 2023 16:03:52 -0400
