=== debian/control ===
Source: gnss-share
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders:
 Chris Talbot <chris@talbothome.com>,
Section: misc
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-google-uuid-dev,
 golang-github-pelletier-go-toml-dev,
 golang-github-tarm-serial-dev,
 scdoc <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://gitlab.com/postmarketOS/gnss-share
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/gnss-share
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/gnss-share.git
Rules-Requires-Root: no
XS-Go-Import-Path: gitlab.com/postmarketOS/gnss-share

Package: gnss-share
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Suggests:
 geoclue-2.0,
Conflicts:
 gpsd,
Description: Share GNSS location data
 This is meant to replace things like gpsd, and gps-share, and work together
 with geoclue* or other clients that support fetching NMEA location data over
 sockets.
 .
 It supports multiple clients and loading/saving AGPS data.
