## gnss-share 0.8.1

=== debian/changelog ===
gnss-share (0.8.1-1) unstable; urgency=medium

  * New Upstream Version

  [ Chris Talbot ]
  * d/changelog: fix formatting error
  * d/watch: Conform to new watch file for gitlab

 -- Christopher Talbot <chris@talbothome.com>  Sat, 06 Apr 2024 09:24:32 -0600

gnss-share (0.8.0-1) unstable; urgency=medium

  * New Upstream Version

  [ Arnaud Ferraris ]
  * d/rules: ensure we fully clean the source tree (Closes: #1044787)

  [ Chris Talbot ]
  * d/control: add dependency for golang-dbus-dev
  * d/lintian-overrides: remove unused overrides

 -- Chris Talbot <chris@talbothome.com>  Wed, 13 Mar 2024 11:01:20 -0600
