## gnss-share 0.8.2

=== debian/changelog ===
gnss-share (0.8.2-1) unstable; urgency=medium

  * New Upstream Version

  [ Chris Talbot ]
  * d/install: move systemd service to usr (Closes: #1073642)

 -- Christopher Talbot <chris@talbothome.com>  Sun, 04 Aug 2024 20:00:26 -0600
