=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gnss-share
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Chris Talbot <chris@talbothome.com>,
 Section: misc
@@ -10,6 +9,7 @@
  debhelper-compat (= 13),
  dh-golang,
  golang-any,
+ golang-dbus-dev,
  golang-github-google-uuid-dev,
  golang-github-pelletier-go-toml-dev,
  golang-github-tarm-serial-dev,
