=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+
+execute_after_dh_auto_clean:
+	make clean
 
 override_dh_auto_build:
 	dh_auto_build
